# QScrollArea Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractScrollArea.

### Constructor

- void QScrollArea(QWidget parent)

### Constructor Properties

- prototype: The QScrollArea prototype object

### Prototype Object Properties

The QScrollArea prototype object inherits properties from the QAbstractScrollArea prototype object and also has the following properties.

- void ensureVisible(int x, int y, int xmargin, int ymargin)
- void ensureWidgetVisible(QWidget childWidget, int xmargin, int ymargin)
- void setWidget(QWidget widget)
- QWidget takeWidget()
- QWidget widget()

### Instance Properties

QScrollArea objects inherit properties from the QScrollArea prototype object and also have the following properties.

- widgetResizable
- alignment